GenAuth DocsDocuments
Concepts
User Guide
Development Integration
AgentAuth
Metadata
Development Integration
Multi-tenant (beta)
Console Documentation
Multi-tenant Console
Tenant Console
Saas Application Demo
Concepts
User Guide
Development Integration
AgentAuth
Metadata
Development Integration
Multi-tenant (beta)
Console Documentation
Multi-tenant Console
Tenant Console
Saas Application Demo
Old version
Development Integration
  • API

  • SDK

    • Java

    • Node.js

    • Python

      • Installation and Usage
      • Authentication Module

        • Login

        • Logout

        • Register

        • User Profile

        • Account Binding

        • MFA Factor Management

        • User Related Resources

        • Message Service

        • WeChat Related APIs

          • Decrypt WeChat Mini Program Data
          • Get Mini Program Phone Number
          • Get GenAuth Server Cached WeChat Mini Program/Official Account Access Token
        • Others

        • OIDC Module
        • OAuth Module
        • SAML Module
        • CAS Module
        • Events
      • Management Module

  • Error Codes
  1. Development Integration
  2. /
  3. SDK
  4. /
  5. Python
  6. /
  7. Authentication Module

  8. /
  9. WeChat Related APIs

  10. /
  11. Get Mini Program Phone Number

¶ Get the phone number of the mini program

Update time: 2025-07-23 07:34:21
Edit

¶ Method name

AuthenticationClient.get_wechat_miniprogram_phone

¶ Request parameters

NameType
Required
Default value
Description
Sample value
codestringYes-code returned by open-type=getphonecode interface
extIdpConnidentifierstringYes-External identity source connection identifier of WeChat mini programmy-wxapp

¶ Request response

Type: GetWechatMiniProgramPhoneRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful, 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type.
requestIdstringRequest ID. It will be returned when the request fails.
dataGetWechatMiniProgramPhoneDataDtoResponse data

Sample result:

{
  "statusCode": 200,
  "message": "Operation successful",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "phoneNumber": "+86188xxxx8888",
    "purePhoneNumber": "188xxxx8888",
    "countryCode": "86"
  }
}

¶ Data structure

¶ GetWechatMiniProgramPhoneDataDto

NameType
Required
Description
Sample value
phoneNumberstringyesPhone number with area code+86188xxxx8888
purePhoneNumberstringyesPhone number without area code188xxxx8888
countryCodestringyesArea code86
Previous article: Decrypt WeChat Mini Program Data Next article: Get GenAuth Server Cached WeChat Mini Program/Official Account Access Token
  • Method name
  • Request parameters
  • Request response
  • Data structure

User identity management

Integrated third-party login
Customized authentication process

Enterprise internal management

Single sign-on
Multi-factor authentication
Permission management

Developer

Development Documentation
GitHub (opens new window)

Company

official@genauth.ai
16th Floor, Building B, Beichen Century Center, Chaoyang District, Beijing (Total)
Room 406, 4th Floor, Block B, No. 200, Tianfu Fifth Street, High-tech Zone, Chengdu (Branch)

© Beijing Steamory Technology Co., Ltd.